#!/bin/bash

DEV_DRIVE="/dev/scd1"
SCSI_DRIVE="0,1,0"

# Summary space (x2Kb)
ALL_SPACE=`cdrecord -atip 2> /dev/null | awk '/ATIP start of lead out/ { print $6; }'`

# Previous session (multisession)
NEXT_TRACK=`cdrecord -msinfo`
USED_SPACE=0

ISO_OPTS="-R -r -J"

if [ ! -z "$NEXT_TRACK" ] 
then
# If previous session(s) exists
# Used space (x2Kb)
  USED_SPACE=`echo $NEXT_TRACK | awk -F "," '{ print $2; }'`

# New session size (x2Kb)
  IMG_SIZE=`mkisofs $ISO_OPTS -print-size -quiet -C $NEXT_TRACK -M $DEV_DRIVE "$@" 2> /dev/null`
  if [ "0$IMG_SIZE" -gt 0 ]
  then
    mkisofs $ISO_OPTS -C $NEXT_TRACK -M $DEV_DRIVE "$@" | \
    cdrecord -v -eject -multi -data tsize=$IMG_SIZE's' driveropts=burnfree -waiti -
  else
    echo "mkisofs failed... :(" 1>&2
  fi 
else
# If no previous sessions exists
# New session size (x2Kb)
  IMG_SIZE=`mkisofs $ISO_OPTS -print-size -quiet "$@" 2> /dev/null`
  if [ "0$IMG_SIZE" -gt 0 ]
  then
    mkisofs $ISO_OPTS "$@" | cdrecord -v -eject -multi -data tsize=$IMG_SIZE's' driveropts=burnfree -
  else
    echo "mkisofs failed... :(" 1>&2
  fi
fi
